"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

/**
 * Returns true if property of object literal does not equals the given value.
 *
 * @func
 * @category Relation
 *
 * @example
 *
 *        R_.propNotEq(1, 'a', { a: 1 })	// false
 *        R_.propNotEq(1, 'a', { a: 2 })	// true
 *        R_.propNotEq(1, 'a', {})	// true
 *
 * @sig a → String → Object → Boolean
 */
var propNotEq = (0, _ramda.complement)(_ramda.propEq);
var _default = propNotEq;
exports.default = _default;